Show / Hide Table of Contents

# Struct StdSet<TKey>

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.STD

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct StdSet<TKey>

        where TKey : struct

##### Type Parameters

Name | Description
--- | ---
TKey |

### Fields

| Improve this Doc View Source

#### Count

##### Declaration

    public ulong Count

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Head

##### Declaration

    public StdSet<TKey>.Node*Head

##### Field Value

Type | Description
--- | ---
StdSet.Node<>* |

### Properties

| Improve this Doc View Source

#### LargestValue

##### Declaration

    public readonly StdSet<TKey>.Node*LargestValue { get; }

##### Property Value

Type | Description
--- | ---
StdSet.Node<>* |

| Improve this Doc View Source

#### SmallestValue

##### Declaration

    public readonly StdSet<TKey>.Node*SmallestValue { get; }

##### Property Value

Type | Description
--- | ---
StdSet.Node<>* |

### Methods

| Improve this Doc View Source

#### GetEnumerator()

##### Declaration

    public StdSet<TKey>.Enumerator GetEnumerator()

##### Returns

Type | Description
--- | ---
StdSet.Enumerator<> |